# Enum AccessibilityRole

java.lang.Object
java.lang.Enum<AccessibilityRole>
com.codename1.ui.accessibility.AccessibilityRole

All Implemented Interfaces:
  `Comparable<AccessibilityRole>`

public enum AccessibilityRole extends Enum<AccessibilityRole>

The semantic role of a lightweight component or virtual accessibility node.

Roles are intentionally portable. Platform ports map them to native control types, traits, patterns, or ARIA roles and fall back to `GENERIC` when a platform has no exact equivalent.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALERT`
  `BUTTON`
  `CELL`
  `CHECKBOX`
  `COLUMN_HEADER`
  `COMBO_BOX`
  `DIALOG`
  `GENERIC`
  `GRID`
  `HEADING`
  `IMAGE`
  `LINK`
  `LIST`
  `LIST_ITEM`
  `MENU`
  `MENU_ITEM`
  `NONE`
  `PROGRESS_BAR`
  `RADIO_BUTTON`
  `ROW`
  `ROW_HEADER`
  `SCROLL_BAR`
  `SEARCH_FIELD`
  `SEPARATOR`
  `SLIDER`
  `SPIN_BUTTON`
  `STATIC_TEXT`
  `SWITCH`
  `TAB`
  `TAB_LIST`
  `TAB_PANEL`
  `TEXT_FIELD`
  `TOGGLE_BUTTON`
  `TOOLBAR`
  `TREE`
  `TREE_ITEM`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AccessibilityRole`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AccessibilityRole[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final AccessibilityRole NONE

  - ### GENERIC

    public static final AccessibilityRole GENERIC

  - ### BUTTON

    public static final AccessibilityRole BUTTON

  - ### TOGGLE_BUTTON

    public static final AccessibilityRole TOGGLE_BUTTON

  - ### CHECKBOX

    public static final AccessibilityRole CHECKBOX

  - ### RADIO_BUTTON

    public static final AccessibilityRole RADIO_BUTTON

  - ### SWITCH

    public static final AccessibilityRole SWITCH

  - ### HEADING

    public static final AccessibilityRole HEADING

  - ### LINK

    public static final AccessibilityRole LINK

  - ### IMAGE

    public static final AccessibilityRole IMAGE

  - ### STATIC_TEXT

    public static final AccessibilityRole STATIC_TEXT

  - ### TEXT_FIELD

    public static final AccessibilityRole TEXT_FIELD

  - ### SEARCH_FIELD

    public static final AccessibilityRole SEARCH_FIELD

  - ### SLIDER

    public static final AccessibilityRole SLIDER

  - ### PROGRESS_BAR

    public static final AccessibilityRole PROGRESS_BAR

  - ### LIST

    public static final AccessibilityRole LIST

  - ### LIST_ITEM

    public static final AccessibilityRole LIST_ITEM

  - ### GRID

    public static final AccessibilityRole GRID

  - ### ROW

    public static final AccessibilityRole ROW

  - ### CELL

    public static final AccessibilityRole CELL

  - ### COLUMN_HEADER

    public static final AccessibilityRole COLUMN_HEADER

  - ### ROW_HEADER

    public static final AccessibilityRole ROW_HEADER

  - ### TAB_LIST

    public static final AccessibilityRole TAB_LIST

  - ### TAB

    public static final AccessibilityRole TAB

  - ### TAB_PANEL

    public static final AccessibilityRole TAB_PANEL

  - ### DIALOG

    public static final AccessibilityRole DIALOG

  - ### ALERT

    public static final AccessibilityRole ALERT

  - ### MENU

    public static final AccessibilityRole MENU

  - ### MENU_ITEM

    public static final AccessibilityRole MENU_ITEM

  - ### TOOLBAR

    public static final AccessibilityRole TOOLBAR

  - ### SCROLL_BAR

    public static final AccessibilityRole SCROLL_BAR

  - ### SPIN_BUTTON

    public static final AccessibilityRole SPIN_BUTTON

  - ### COMBO_BOX

    public static final AccessibilityRole COMBO_BOX

  - ### TREE

    public static final AccessibilityRole TREE

  - ### TREE_ITEM

    public static final AccessibilityRole TREE_ITEM

  - ### SEPARATOR

    public static final AccessibilityRole SEPARATOR

- ## Method Details

  - ### values

    public static AccessibilityRole[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AccessibilityRole valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null